<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <s:div id="globalDiv">
      <h:form id="buttonForm">
        <br />
        <a4j:region>
          <a4j:commandButton value="#{messages['net.ihe.gazelle.cdagen.CreateNewApplicationPreference']}" action="#{applicationConfiguration.createNewApplicationPreference()}" styleClass="gzl-btn-blue" execute="@this"/>
          <!--  http headers Section -->
          <a4j:commandButton action="#{applicationConfiguration.resetHttpHeaders()}" styleClass="gzl-btn-blue" value="#{messages['net.ihe.gazelle.cdagen.SetDefaultHttpHeadersValues']}" render="globalForm,messageDecoration" execute="@this"/>
          <!--  create missing preferences key -->
          <a4j:commandButton action="#{applicationConfiguration.createMissingKeys()}" styleClass="gzl-btn-blue" value="#{messages['net.ihe.gazelle.cdagen.CreateMissingPreferences']}" render="globalForm,messageDecoration" execute="@this"/>
          
          <a4j:commandButton action="#{applicationValidatorManager.reloadSVSEndpoint()}" styleClass="gzl-btn-blue" value="#{messages['net.ihe.gazelle.cdagen.ReloadSVSEndpoint']}" render="messageDecoration" execute="@this"/>
        </a4j:region>
      </h:form>
      <br/>
      <h:form id="globalForm">
        <gri:panel id="AllPreferencesPanel">
          <f:facet name="header">#{messages['net.ihe.gazelle.cdagen.ApplicationPreferences']}</f:facet>
          <rich:dataTable value="#{applicationConfiguration.applicationPreferences}" var="pref" rows="20" onRowMouseOver="this.style.backgroundColor='#94C2E6'" onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'">
            <g:column sortBy="#{'preferenceName'}" filterBy="#{'preferenceName'}" filterEvent="onkeyup" sortOrder="ascending">
              <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.PreferenceKey']}</ui:define>
              <h:outputText value="#{pref.preferenceName}"/>
            </g:column>
            <g:column filterBy="#{'className'}" filterEvent="onkeyup">
              <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Class']}</ui:define>
              <h:outputText value="#{pref.className}"/>
            </g:column>
            <g:column filterBy="#{'preferenceValue'}" filterEvent="onkeyup" sortBy="#{'preferenceValue'}">
              <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.PreferenceValue']}</ui:define>
              <h:outputText value="#{pref.preferenceValue}"/>
            </g:column>
            <g:column>
              <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Description_2']}</ui:define>
              <h:outputText value="#{pref.description}"/>
            </g:column>
            <g:column>
              <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Action']}</ui:define>
              <h:commandLink id="viewButt"
					action="#{applicationConfiguration.displayApplicationPreference(pref)}">
					<span class="gzl-icon-pencil"></span>
			  </h:commandLink>
<!--               <h:graphicImage value="/img/icons64/edit.gif" width="26px" height="26px" title="Edit"> -->
<!--                 <a4j:ajax event="click" listener="#{applicationConfiguration.displayApplicationPreference(pref)}"/> -->
<!--               </h:graphicImage> -->
            </g:column>
            <f:facet name="footer">
              <s:div style="text-align: center;">
                <rich:dataScroller id="ds" maxPages="10" renderIfSinglePage="false" immediate="true"/>
              </s:div>
            </f:facet>
          </rich:dataTable>
        </gri:panel>
      </h:form>
    </s:div>
  </ui:define>
</ui:composition>
